2020-09-01 12:38  rsbivand

	* man/labelpt.Rd, man/misc-gDistance.Rd,
	  man/topo-unary-gDelaunayTriangulation.Rd,
	  man/topo-unary-gSimplify.Rd, man/wkt-functions.Rd: tidy

2020-09-01 11:38  rsbivand

	* DESCRIPTION, configure, configure.ac: add stdlib.h declaration to
	  configure.ac where missing

2020-08-06 09:57  rsbivand

	* DESCRIPTION, NAMESPACE, R/rgeos_topology.R, configure,
	  src/init.c, src/rgeos.h, src/rgeos_topology.c: add CoverageUnion

2020-05-08 13:18  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2020-05-08 13:17  rsbivand

	* DESCRIPTION: tidy

2020-05-08 13:04  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2020-05-08 13:03  rsbivand

	* src/Makevars.win, tools/winlibs.R: shift Windows binary to GEOS
	  3.8

2020-05-08 12:44  rsbivand

	* inst/ChangeLog: tidy

2020-05-08 12:44  rsbivand

	* ChangeLog: tidy

2020-05-08 12:43  rsbivand

	* man/topo-unary-gMakeValid.Rd: add gMakeValid for GEOS >= 3.8.0

2020-05-08 12:17  rsbivand

	* ChangeLog, inst/ChangeLog, man/topo-unary-gMakeValid.Rd: tidy

2020-05-08 12:13  rsbivand

	* DESCRIPTION, NAMESPACE, R/rgeos_linearref.R, R/rgeos_topology.R,
	  configure, man/linref-gInterpolate.Rd, man/linref-gProject.Rd,
	  src/init.c, src/rgeos.h, src/rgeos_topology.c,
	  tests/leak_by_exception.Rout.save: add gMakeValid for GEOS >=
	  3.8.0

2020-03-28 10:46  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-11-13 08:04  rsbivand

	* DESCRIPTION, man/comment-functions.Rd: add page number to comment
	  help page

2019-10-03 07:49  rsbivand

	* configure, configure.ac: tidy

2019-10-03 07:39  rsbivand

	* DESCRIPTION: tidy

2019-10-02 10:42  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-10-02 10:41  rsbivand

	* DESCRIPTION: tidy

2019-09-03 11:41  rsbivand

	* configure, configure.ac: remove R CMD config CPP

2019-08-16 09:49  rsbivand

	* DESCRIPTION, R/rgeos_predicate_binary.R,
	  man/pred-binary-gIntersects.Rd: bug in dense binary predicate
	  matrix row names

2019-08-05 08:42  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-08-05 08:21  rsbivand

	* DESCRIPTION: tidy

2019-08-05 07:47  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-08-05 07:35  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-08-05 07:34  rsbivand

	* DESCRIPTION: tidy

2019-08-05 06:55  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-08-05 06:55  rsbivand

	* man/topo-bin-gUnion.Rd: tidy

2019-08-04 15:37  rsbivand

	* ChangeLog, inst/ChangeLog: changing checkValidity for GEOS >
	  3.7.1

2019-08-04 15:35  rsbivand

	* tests/leak_by_exception.Rout.save: changing checkValidity for
	  GEOS > 3.7.1

2019-08-04 14:55  rsbivand

	* R/rgeos_topology.R, R/rgeos_topology_binary.R,
	  src/rgeos_R2geos.c: changing checkValidity for GEOS > 3.7.1

2019-08-03 16:06  rsbivand

	* R/rgeos_topology.R, man/topo-bin-gIntersection.Rd,
	  man/topo-bin-gUnion.Rd, man/utility-functions.Rd: changing
	  checkValidity for GEOS > 3.7.1

2019-08-03 15:37  rsbivand

	* R/rgeos_topology_binary.R: changing checkValidity for GEOS >
	  3.7.1

2019-08-03 15:28  rsbivand

	* R/rgeos_topology_binary.R: changing checkValidity for GEOS >
	  3.7.1

2019-08-03 15:18  rsbivand

	* NAMESPACE, man/utility-functions.Rd: changing checkValidity for
	  GEOS > 3.7.1

2019-08-03 15:02  rsbivand

	* configure: changing checkValidity for GEOS > 3.7.1

2019-08-03 15:01  rsbivand

	* ChangeLog, inst/ChangeLog: changing checkValidity for GEOS >
	  3.7.1

2019-08-03 14:59  rsbivand

	* DESCRIPTION, R/AAA.R, R/rgeos_topology_binary.R,
	  man/topo-bin-gDifference.Rd, man/topo-bin-gIntersection.Rd,
	  man/topo-bin-gSymdifference.Rd, man/topo-bin-gUnion.Rd,
	  man/utility-functions.Rd, tests/leak_by_exception.Rout.save:
	  changing checkValidity for GEOS > 3.7.1

2019-07-31 18:28  rsbivand

	* DESCRIPTION: add pkgdown link

2019-04-24 09:17  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-04-24 09:16  rsbivand

	* man/misc-gBuffer.Rd: tidy

2019-04-24 09:09  rsbivand

	* DESCRIPTION, man/bbox2SP.Rd, man/bbox2SP.rd: tidy

2019-04-23 13:15  rsbivand

	* .Rbuildignore, DESCRIPTION, _pkgdown.yml, man/bbox2SP.rd,
	  man/linref-gInterpolate.Rd, man/linref-gProject.Rd,
	  man/misc-gBuffer.Rd, man/misc-gNearestPoints.Rd,
	  man/pred-unary-gIsValid.Rd: start pkgdown

2019-04-23 12:12  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-04-23 12:11  rsbivand

	* DESCRIPTION, R/rgeos_buffer.R: tidy

2019-03-06 15:02  rsbivand

	* src/Makevars.win, tools/winlibs.R: update Makevars.win and
	  winlibs.R

2018-12-21 12:35  rsbivand

	* DESCRIPTION, configure, configure.ac: guard against invalid
	  versions

2018-12-15 12:36  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-12-15 12:36  rsbivand

	* configure: tidy

2018-12-15 00:30  edzer

	* configure, configure.ac: configure stuff for OSX

2018-12-15 00:04  edzer

	* configure, configure.ac: try with static libs

2018-12-13 11:18  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-12-13 11:17  rsbivand

	* DESCRIPTION, configure, configure.ac: ubuntu mess - changes in
	  ./configure

2018-11-07 13:31  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-10-22 07:10  rsbivand

	* DESCRIPTION, configure, configure.ac: Debian stretch GEOS version
	  configure issue

2018-10-18 11:38  rsbivand

	* man/utility-functions.Rd: tidy

2018-10-18 11:34  rsbivand

	* DESCRIPTION: tidy

2018-10-18 11:30  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-09-13 11:00  rsbivand

	* R/AAA.R, src/init.c, src/rgeos.c, src/rgeos.h: attempted version
	  check

2018-09-12 18:16  rsbivand

	* src/rgeos.c, src/rgeos_R2geos.c: tidy after -Wall

2018-09-12 08:49  rsbivand

	* configure, configure.ac: switch geos-config to cclibs from libs

2018-08-30 15:48  rsbivand

	* DESCRIPTION, configure, configure.ac, src/rgeos.c, src/rgeos.h,
	  src/rgeos_R2geos.c, src/rgeos_coord.c, src/rgeos_topology.c,
	  src/rgeos_topology_binary.c, tests/leak_by_exception.R,
	  tests/leak_by_exception.Rout.save: testing leaks by exceptions

2018-06-08 06:48  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-06-08 06:47  rsbivand

	* ChangeLog, configure: tidy

2018-06-03 21:05  rsbivand

	* DESCRIPTION, src/rgeos.c, src/rgeos_geos2R.c: rchk fixes, mostly
	  MAKE_CLASS

2018-06-01 11:39  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-06-01 11:38  rsbivand

	* DESCRIPTION, LICENSE.note: add LICENSE.note

2018-05-29 18:13  rsbivand

	* DESCRIPTION: tidy

2018-05-29 17:40  rsbivand

	* NAMESPACE, R/bbox2SP.R: tidy

2018-05-28 12:14  rsbivand

	* src/rgeos.c, src/rgeos_validate.c: trying to fix rchk and
	  valgrind issues

2018-05-21 17:57  rsbivand

	* R/bbox2SP.R, man/bbox2SP.rd: corrected bbox2SP

2018-04-27 12:36  rsbivand

	* DESCRIPTION, NAMESPACE, R/bbox2SP.R, man/bbox2SP.rd: add bbox2SP

2018-04-08 13:34  rsbivand

	* DESCRIPTION, configure: gcc 8 correction

2018-04-07 21:25  edzer

	* src/rgeos.c: see https://github.com/r-spatial/sf/issues/694

2017-10-30 12:01  rsbivand

	* configure: tidy

2017-10-30 12:00  rsbivand

	* DESCRIPTION: tidy

2017-10-24 13:42  rsbivand

	* man/utility-functions.Rd: tidy

2017-10-23 18:57  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R: add extSoftVersion

2017-09-25 10:53  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2017-09-25 10:51  rsbivand

	* configure: updating for stricter autoconf

2017-09-25 10:50  rsbivand

	* DESCRIPTION: updating for stricter autoconf

2017-09-25 10:49  rsbivand

	* configure, configure.ac: updating for stricter autoconf

2017-09-25 10:46  rsbivand

	* configure, configure.ac: updating for stricter autoconf

2017-09-18 08:59  rsbivand

	* DESCRIPTION: tidy

2017-09-18 08:27  rsbivand

	* ChangeLog, configure, inst/ChangeLog: tidy

2017-09-18 08:26  rsbivand

	* DESCRIPTION, tools, tools/winlibs.R: transition to winlibs

2017-09-15 13:09  rsbivand

	* DESCRIPTION, src/Makevars.win: migrate to winlib/gdal

2017-04-05 12:05  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2017-04-05 12:04  rsbivand

	* configure: tidy

2017-04-05 12:03  rsbivand

	* DESCRIPTION, src/rgeos.c, src/rgeos_validate.c: PROTECT issues

2017-01-08 19:11  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2016-12-10 10:02  rsbivand

	* configure: omitted trap in init.c

2016-12-10 10:00  rsbivand

	* DESCRIPTION, src/init.c: omitted trap in init.c

2016-10-19 11:45  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2016-10-11 03:24  rsbivand

	* ChangeLog, R/rgeos_misc.R, man/misc-gNearestPoints.Rd,
	  src/rgeos.h, src/rgeos_misc.c: checking NearestPoint dependency
	  on >= 3.4

2016-10-10 07:28  rcs

	* ChangeLog, DESCRIPTION, NAMESPACE, R/rgeos_misc.R, configure,
	  inst/ChangeLog, man/misc-gNearestPoints.Rd, src/init.c,
	  src/rgeos.h, src/rgeos_misc.c, tests/testthat/test-misc.R: add
	  gNearestPoints

2016-10-08 08:14  rcs

	* tests/testthat/test-linearref.R: fix linearref tests

2016-10-07 21:53  rcs

	* tests/testthat/test-linearref.R: fix linearref tests

2016-09-14 11:18  rcs

	* R/rgeos_spExtensions_Methods.R, R/rgeos_topology.R: fix partial
	  argument match

2016-09-07 13:10  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2016-09-07 13:09  rsbivand

	* src/rgeos_predicate_binary.c: block list output from gRelate

2016-09-07 10:03  rsbivand

	* inst/ChangeLog: tidy

2016-09-07 09:50  rcs

	* ChangeLog, man/topo-unary-gEnvelope.Rd: fix typo

2016-09-07 09:48  rcs

	* ChangeLog, src/rgeos_geos2R.c: fix stack imbalance in
	  rgeos_geosring2SpatialRings()

2016-09-06 13:13  rcs

	* ChangeLog, R/rgeos_linearref.R, man/linref-gProject.Rd,
	  src/rgeos_linearref.c: update Rd; fix typo

2016-09-06 11:41  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2016-09-06 11:40  rsbivand

	* configure: tidy

2016-09-06 11:38  rsbivand

	* inst/tests, tests/test-all.R, tests/testthat: moved tests folder

2016-09-06 10:50  rcs

	* ChangeLog, DESCRIPTION, NAMESPACE, R/rgeos_linearref.R,
	  inst/tests/test-linearref.R, man/linref-gInterpolate.Rd,
	  man/linref-gProject.Rd, src/init.c, src/rgeos.h,
	  src/rgeos_linearref.c: added linear referencing functions
	  (gInterpolate/gProject)

2016-08-30 17:36  rsbivand

	* DESCRIPTION, src/rgeos_coord.c: protect s in src/rgeos_coord.c

2016-04-04 11:37  rsbivand

	* ChangeLog, configure, inst/ChangeLog: tidy

2016-04-04 11:35  rsbivand

	* DESCRIPTION, src/Makevars.win: update to win-4.9.3

2016-02-15 07:38  rsbivand

	* DESCRIPTION, R/rgeos_buffer.R: gBuffer NULL case

2016-02-13 11:26  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2016-02-12 20:31  rsbivand

	* DESCRIPTION, R/rgeos_buffer.R: buffer byid to FALSE if single
	  feature

2016-02-12 18:58  rsbivand

	* R/rgeos_buffer.R: buffer byid to FALSE if single feature

2016-02-09 12:53  rsbivand

	* ChangeLog, inst/ChangeLog: buffer byid to FALSE if single feature

2016-02-09 12:52  rsbivand

	* DESCRIPTION, R/rgeos_buffer.R, configure, src/rgeos_buffer.c:
	  buffer byid to FALSE if single feature

2016-01-23 19:12  rsbivand

	* DESCRIPTION, R/rgeos_misc.R: rev 66 oddity partial workaround

2015-11-04 12:46  rsbivand

	* configure: tidy

2015-11-04 12:43  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-11-04 11:10  rsbivand

	* DESCRIPTION, src/rgeos_buffer.c: rgeos_buffer id overrun bug fix

2015-10-26 14:28  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-10-25 10:38  rsbivand

	* man/topo-bin-gIntersection.Rd: fix td bug

2015-10-25 10:28  rsbivand

	* ChangeLog, DESCRIPTION, inst/ChangeLog,
	  man/topo-bin-gIntersection.Rd, src/rgeos_topology_binary.c: fix
	  td bug

2015-09-29 07:07  rsbivand

	* man/topo-bin-gIntersection.Rd: extra intersection example

2015-09-28 15:51  rsbivand

	* ChangeLog, configure,
	  inst/tests/testxml/general/TestFunctionLLPrec.xml,
	  inst/tests/testxml/validate/TestRelateLL.xml,
	  inst/tests/testxml/validate/TestRelatePA.xml,
	  inst/tests/testxml/validate/TestRelatePL.xml,
	  inst/tests/testxml/validate/TestRelatePP.xml: tidy

2015-09-28 09:49  rsbivand

	* src/rgeos_geos2R.c: SpatialRings stack unbalance

2015-09-26 17:45  rsbivand

	* man/labelpt.Rd, man/pred-binary-gContains.Rd,
	  man/pred-binary-gCrosses.Rd, man/pred-binary-gEquals.Rd,
	  man/pred-binary-gIntersects.Rd, man/pred-binary-gRelate.Rd,
	  man/pred-binary-gTouches.Rd, man/topo-bin-gDifference.Rd,
	  man/topo-bin-gIntersection.Rd, man/topo-bin-gSymdifference.Rd,
	  man/topo-bin-gUnion.Rd: tidy

2015-09-26 17:27  rsbivand

	* DESCRIPTION: adding unaryUnion to topo-bin if FALSE byid

2015-09-26 17:27  rsbivand

	* R/rgeos_topology_binary.R, man/topo-bin-gDifference.Rd,
	  man/topo-bin-gIntersection.Rd, man/topo-bin-gSymdifference.Rd,
	  man/topo-bin-gUnion.Rd, src/rgeos_topology_binary.c: adding
	  unaryUnion to topo-bin if FALSE byid

2015-09-20 21:23  rsbivand

	* man/pred-binary-gContains.Rd, man/pred-binary-gCrosses.Rd,
	  man/pred-binary-gEquals.Rd, man/pred-binary-gIntersects.Rd,
	  man/pred-binary-gRelate.Rd, man/pred-binary-gTouches.Rd,
	  man/topo-bin-gDifference.Rd, man/topo-bin-gIntersection.Rd,
	  man/topo-bin-gSymdifference.Rd, man/topo-bin-gUnion.Rd: note on
	  0-based indices

2015-09-18 12:13  rsbivand

	* R/rgeos_predicate_binary.R, R/rgeos_topology_binary.R: add
	  optional validity checking to binary predicates and operations

2015-09-18 12:09  rsbivand

	* DESCRIPTION, R/rgeos_predicate_binary.R,
	  R/rgeos_topology_binary.R, man/misc-over.Rd,
	  man/pred-binary-gContains.Rd, man/pred-binary-gCrosses.Rd,
	  man/pred-binary-gEquals.Rd, man/pred-binary-gIntersects.Rd,
	  man/pred-binary-gRelate.Rd, man/pred-binary-gTouches.Rd,
	  man/topo-bin-gDifference.Rd, man/topo-bin-gIntersection.Rd,
	  man/topo-bin-gSymdifference.Rd, man/topo-bin-gUnion.Rd: add
	  optional validity checking to binary predicates and operations

2015-09-10 14:06  edzer

	* DESCRIPTION, R/over.R: version bump; let overGeomGeomDF absorb &
	  pass on minDimension to overGeomGeom

2015-09-01 10:27  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-08-31 19:59  edzer

	* R/over.R: pass on colnames(x) if x is matrix

2015-08-31 16:49  edzer

	* R/over.R: pass names on to returned list

2015-08-31 16:13  edzer

	* R/over.R, man/misc-over.Rd: complete documentation, clean up
	  code.

2015-08-31 11:49  rsbivand

	* configure, configure.ac: strip dev from version

2015-08-25 11:48  rsbivand

	* DESCRIPTION, man/pred-binary-gContains.Rd,
	  man/pred-binary-gCrosses.Rd, man/pred-binary-gEquals.Rd,
	  man/pred-binary-gIntersects.Rd, man/pred-binary-gTouches.Rd,
	  src/rgeos_predicate_binary.c: block assigning too large matrix

2015-08-25 09:15  edzer

	* R/over.R: default to gIntersects(), because of the performance
	  penalty

2015-08-22 13:33  edzer

	* R/over.R: move constant check outside loop

2015-08-21 22:13  edzer

	* R/over.R: increase over sanity

2015-08-21 15:03  edzer

	* R/over.R: catch omission on unrealistic dimension requirements

2015-08-20 20:45  edzer

	* R/over.R: clean up over stuff, order by dimension from gRelate

2015-08-20 09:23  edzer

	* R/over.R: some more tweeks for SpatialMultiPoints

2015-08-19 14:52  edzer

	* man/misc-over.Rd: add overGeomGeom doc

2015-08-19 14:11  edzer

	* NAMESPACE: export overGeomGeomDF and overGeomGeom

2015-08-13 09:22  edzer

	* src/rgeos_R2geos.c: clean up

2015-06-28 20:36  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R, man/pred-binary-gRelate.Rd: CRAN
	  _R_CHECK_CODE_USAGE_WITH_ONLY_BASE_ATTACHED_=true NAMESPACE tidy

2015-06-23 07:56  rsbivand

	* R/AAA.R: add utils:: to packageVersion()

2015-06-05 07:54  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-06-05 07:53  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-06-05 07:52  rsbivand

	* DESCRIPTION: tidy

2015-05-29 13:49  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-05-29 13:47  rsbivand

	* DESCRIPTION: tidy

2015-05-05 17:02  rsbivand

	* DESCRIPTION, man/comment-functions.Rd,
	  man/experimental-functions.Rd, man/labelpt.Rd,
	  man/topo-bin-gIntersection.Rd, man/topo-bin-gUnion.Rd,
	  man/topo-unary-gDelaunayTriangulation.Rd: dontrun require issues

2015-04-23 22:19  edzer

	* man/topo-bin-gIntersection.Rd: typo

2015-04-23 21:45  edzer

	* src/rgeos_validate.c: add const declarations for SEXPs

2015-04-23 21:43  edzer

	* R/over.R: fix bug for SpatialPolygons,SpatialPolygonsDataFrame

2015-04-13 15:59  rsbivand

	* .Rbuildignore, R/labelpt.R, configure.ac, svn2cl.xsl: fix
	  polygonsLabel

2015-04-09 13:59  rsbivand

	* DESCRIPTION, R/AAA.R, src/init.c, src/rgeos.c, src/rgeos.h: add
	  linking to version

2015-03-11 13:09  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-03-11 13:08  rsbivand

	* R/labelpt.R, man/pred-unary-gIsSimple.Rd,
	  man/pred-unary-gIsValid.Rd: tidy

2015-03-11 12:48  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-03-10 08:30  rsbivand

	* inst/README, inst/README.windows: OSX install note

2015-03-09 07:37  edzer

	* NAMESPACE, man/class-SpatialCollections.Rd: exportClass
	  Spatial*NULL classes

2015-03-08 16:04  rsbivand

	* src/rgeos_coord.c, src/rgeos_geos2R.c, src/rgeos_poly2nb.c,
	  src/rgeos_predicate_binary.c, src/rgeos_topology.c,
	  src/rgeos_topology_binary.c: added extra geos-config checks

2015-03-08 12:35  rsbivand

	* DESCRIPTION: added extra geos-config checks

2015-03-08 12:34  rsbivand

	* configure, configure.ac: added extra geos-config checks

2015-03-07 17:30  rsbivand

	* configure, configure.ac: added extra geos-config checks

2015-01-29 08:19  edzer

	* R/over.R, man/pred-binary-gIntersects.Rd: improve readability
	  overGeomGeom

2015-01-28 22:58  edzer

	* R/over.R: fix overGeomGeom for length(x) == 1

2014-09-21 14:09  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-09-21 14:09  rsbivand

	* DESCRIPTION, R/rgeos_topology_binary.R,
	  man/topo-bin-gIntersection.Rd: deprecate drop_not_poly

2014-09-21 11:19  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-09-21 11:18  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R, man/topo-bin-gIntersection.Rd,
	  man/utility-functions.Rd, src/rgeos_geos2R.c: conditionally drop
	  slivers

2014-09-20 18:50  rsbivand

	* inst/test_cases, inst/test_cases/polys.RData: drop topological
	  dimension

2014-09-20 18:35  rsbivand

	* src/rgeos_geos2R.c: drop topological dimension

2014-09-19 20:17  rsbivand

	* R/Rgpc_funcs.R, R/rgeos_misc.R, R/rgeos_topology_binary.R,
	  man/topo-bin-gDifference.Rd, man/topo-bin-gIntersection.Rd,
	  man/topo-bin-gSymdifference.Rd, man/topo-bin-gUnion.Rd,
	  src/rgeos_topology_binary.c: drop topological dimension

2014-09-11 13:08  rsbivand

	* src/rgeos_geos2R.c: slivers

2014-09-06 22:07  rsbivand

	* R/AAA.R, src/rgeos_geos2R.c: drop_not_poly adjustment

2014-09-04 18:30  rsbivand

	* DESCRIPTION, R/AAA.R, R/rgeos_topology_binary.R,
	  src/rgeos_topology_binary.c: drop_not_poly adjustment

2014-07-08 08:53  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-07-07 22:26  rsbivand

	* DESCRIPTION, R/Rgpc_funcs.R: constrain gpc to polygons

2014-06-05 19:08  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-06-05 19:01  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-06-05 18:59  rsbivand

	* man/pred-binary-gContains.Rd, man/pred-binary-gIntersects.Rd,
	  src/rgeos_poly2nb.c: tidt

2014-06-05 18:33  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-06-05 18:32  rsbivand

	* DESCRIPTION, R/AAA.R, R/rgeos_predicate_binary.R,
	  src/rgeos_poly2nb.c, src/rgeos_predicate_binary.c: tidy

2014-03-31 19:58  rsbivand

	* src/rgeos_predicate_binary.c: permit binary predicates to return
	  lists

2014-03-31 19:46  rsbivand

	* src/rgeos_predicate_binary.c: permit binary predicates to return
	  lists

2014-03-31 17:15  rsbivand

	* DESCRIPTION, R/AAA.R, R/rgeos_predicate_binary.R, R/rgeos_util.R,
	  man/experimental-functions.Rd, man/pred-binary-gContains.Rd,
	  man/pred-binary-gCrosses.Rd, man/pred-binary-gEquals.Rd,
	  man/pred-binary-gIntersects.Rd, man/pred-binary-gTouches.Rd,
	  src/rgeos_R2geos.c, src/rgeos_poly2nb.c,
	  src/rgeos_predicate_binary.c: permit binary predicates to return
	  lists

2014-03-25 14:00  rsbivand

	* configure: tidy

2014-03-25 13:55  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-03-23 09:22  rsbivand

	* DESCRIPTION, NAMESPACE, R/Rgpc_funcs.R, R/rgeos_topology.R,
	  inst/wkts/sppsp.wkt, man/topo-unary-gDelaunayTriangulation.Rd,
	  man/topo-unary-gNode.Rd, man/topo-unary-gPolygonize.Rd,
	  src/init.c, src/rgeos.h, src/rgeos_topology.c: exposing noding

2014-02-13 15:30  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-02-13 15:28  rsbivand

	* src/rgeos_topology_binary.c: cast to remove warnings

2014-02-13 08:52  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-02-13 08:51  rsbivand

	* DESCRIPTION, src/rgeos_coord.c, src/rgeos_geos2R.c: changed
	  PROTECT code for crdMAT

2014-02-08 15:50  rsbivand

	* DESCRIPTION, R/AAA.R, R/rgeos_topology_binary.R,
	  man/topo-bin-gDifference.Rd, man/topo-bin-gIntersection.Rd,
	  man/topo-bin-gSymdifference.Rd, man/topo-bin-gUnion.Rd,
	  src/rgeos_topology_binary.c: drop not poly intersections if both
	  poly

2014-01-27 19:35  rsbivand

	* src/rgeos_geos2R.c: added id report on GC in GC

2014-01-27 19:06  rsbivand

	* src/rgeos_geos2R.c, src/rgeos_topology_binary.c: added id report
	  on GC in GC

2014-01-22 12:13  rsbivand

	* src/rgeos_predicate_binary.c: fix over-generous symmetry in binar
	  predicates

2014-01-22 12:09  rsbivand

	* DESCRIPTION, src/rgeos.h, src/rgeos_predicate_binary.c: fix
	  over-generous symmetry in binar predicates

2013-12-06 23:34  crundel

	* R/rgeos_predicate_binary.R: Fix for an edge case of predicates
	  with multipoint geometries
	  
	  There is an issue if some points share in a SpatialPoints object
	  share an ID since there will be a mismatch between the number of
	  output IDs

2013-10-06 13:29  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-10-06 13:28  rsbivand

	* R/rgeos_buffer.R, man/misc-gBuffer.Rd: blocking EMPTY

2013-10-05 14:46  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-10-05 14:35  rsbivand

	* inst/tests/test-translate-empty.R,
	  inst/tests/testxml/general/TestBoundary.xml,
	  inst/tests/testxml/general/TestFunctionLA.xml,
	  inst/tests/testxml/general/TestFunctionLL.xml,
	  inst/tests/testxml/general/TestFunctionPP.xml,
	  inst/tests/testxml/general/TestSimple.xml,
	  inst/tests/testxml/general/TestValid.xml,
	  inst/tests/testxml/general/TestValid2.xml,
	  inst/tests/testxml/robust/ExternalRobustness.xml,
	  man/misc-gBuffer.Rd, man/pred-unary-gIsEmpty.Rd,
	  man/wkt-functions.Rd, src/rgeos_geos2R.c: blocking EMPTY

2013-10-04 19:04  rsbivand

	* R/rgeos_buffer.R, man/misc-gBuffer.Rd, src/rgeos_buffer.c: adding
	  buffer widths either 1 or n

2013-10-04 12:08  rsbivand

	* DESCRIPTION: removing empty polygons

2013-10-04 12:05  rsbivand

	* DESCRIPTION, R/rgeos_buffer.R, src/rgeos_buffer.c,
	  src/rgeos_geos2R.c: removing empty polygons

2013-09-16 12:23  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-09-16 12:22  rsbivand

	* man/topo-unary-gDelaunayTriangulation.Rd: tidy

2013-09-16 11:15  rsbivand

	* man/topo-unary-gDelaunayTriangulation.Rd: tidy

2013-09-16 11:01  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-09-03 10:17  rsbivand

	* NAMESPACE, R/rgeos_topology.R,
	  man/topo-unary-gDelaunayTriangulation.Rd, src/rgeos_topology.c:
	  Delaunay triangulation

2013-09-02 21:14  rsbivand

	* R/rgeos_topology.R: start incorporating triangulation

2013-09-02 19:18  rsbivand

	* DESCRIPTION, R/rgeos_topology.R, src/init.c, src/rgeos.h,
	  src/rgeos_topology.c: start incorporating triangulation

2013-09-02 12:29  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-09-02 12:28  rsbivand

	* inst/tests/testxml/general/TestInteriorPoint.xml: revert xml
	  tests to pass GEOS 3.2.0

2013-09-01 17:47  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-09-01 17:22  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-09-01 17:20  rsbivand

	* DESCRIPTION, cleanup, man/topo-unary-gPointOnSurface.Rd: add
	  cleanup

2013-09-01 16:40  rsbivand

	* inst/tests/testxml/general/TestInteriorPoint.xml: revert two
	  changes in gPointOnSurface test to match GEOS 3.4.* to suit < 3.4

2013-09-01 10:31  rsbivand

	* inst/tests/testxml/general/TestInteriorPoint.xml,
	  man/topo-unary-gPointOnSurface.Rd: change gPointOnSurface test to
	  match GEOS 3.4.*

2013-08-30 16:52  edzer

	* DESCRIPTION, R/over.R, man/comment-functions.Rd, man/labelpt.Rd,
	  man/topo-unary-gPolygonize.Rd, man/utility-functions.Rd: moved sp
	  and methods from Depends: to Imports:
	  added library(sp) to the examples, where needed
	  removed the ::: using the exported overDF_for_rgeos from sp
	  1.0-12
	  increased sp dependency to 1.0-12

2013-07-18 10:30  rsbivand

	* DESCRIPTION, src/rgeos_R2geos.c: check comment length against
	  Polygons slot

2013-07-17 13:57  rsbivand

	* man/pred-binary-gContains.Rd: tidy

2013-07-02 20:17  rhijmans

	* R/rgeos_buffer.R:

2013-07-02 20:15  rhijmans

	* man/misc-gBuffer.Rd:

2013-07-02 20:12  rhijmans

	* R/rgeos_buffer.R:

2013-06-22 14:17  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-06-22 14:16  rsbivand

	* DESCRIPTION, NAMESPACE, R/labelpt.R, man/labelpt.Rd: update
	  patched to polygonsLabel

2013-06-22 13:40  rsbivand

	* ChangeLog, inst/ChangeLog: more symbol check issues

2013-06-22 13:39  rsbivand

	* R/AAA.R, R/rgeos_misc.R, R/rgeos_predicate_binary.R,
	  R/rgeos_predicate_unary.R, R/rgeos_topology.R,
	  R/rgeos_topology_binary.R: tidy

2013-06-22 12:23  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-06-22 12:23  rsbivand

	* man/comment-functions.Rd, man/constructor-SpatialCollections.Rd,
	  man/misc-gBuffer.Rd, man/misc-gDistance.Rd,
	  man/pred-binary-gIntersects.Rd, man/pred-binary-gRelate.Rd,
	  man/pred-unary-gIsValid.Rd, man/topo-bin-gIntersection.Rd,
	  man/topo-bin-gUnion.Rd, man/topo-unary-gCentroid.Rd,
	  man/topo-unary-gConvexHull.Rd, man/topo-unary-gEnvelope.Rd,
	  man/topo-unary-gPointOnSurface.Rd, man/topo-unary-gSimplify.Rd:
	  more symbol check issues

2013-06-21 11:44  rsbivand

	* DESCRIPTION, R/AAA.R: tidy

2013-05-05 08:03  rsbivand

	* configure, configure.ac: add Unversioned directory to svn
	  revision

2013-04-26 09:26  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-04-26 09:26  rsbivand

	* DESCRIPTION: Kirill Müller's reversion to GEOS 3.2.0

2013-04-26 09:25  rsbivand

	* DESCRIPTION, configure, configure.ac: Kirill Müller's reversion
	  to GEOS 3.2.0

2013-04-09 16:47  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-04-09 13:47  rsbivand

	* src/rgeos_geos2R.c: length of IDs guard

2013-04-08 17:30  rsbivand

	* R/rgeos_topology.R, man/topo-unary-gPolygonize.Rd: fix bug in
	  gPolygonize ids

2013-04-06 08:05  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-04-06 08:04  rsbivand

	* configure, configure.ac: checking with clang++ in configure

2013-04-05 21:05  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-04-05 20:02  rsbivand

	* configure: update configure.ac to force C++ test linking

2013-04-05 19:58  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-04-05 19:53  rsbivand

	* DESCRIPTION, configure, configure.ac: update configure.ac to
	  force C++ test linking

2013-03-29 11:00  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-03-29 10:59  rsbivand

	* ChangeLog, DESCRIPTION, inst/ChangeLog, src/rgeos_R2geos.c,
	  src/rgeos_R2geosMP.c, src/rgeos_bbox.c, src/rgeos_buffer.c,
	  src/rgeos_coord.c, src/rgeos_geos2R.c, src/rgeos_topology.c,
	  src/rgeos_topology_binary.c: remove clang warnings

2013-03-04 09:53  rsbivand

	* configure: tidy

2013-02-23 11:39  rsbivand

	* DESCRIPTION, R/rgeos_buffer.R, R/rgeos_misc.R,
	  R/rgeos_predicate_binary.R, R/rgeos_predicate_unary.R,
	  R/rgeos_topology.R, R/rgeos_topology_binary.R, R/rgeos_wkt.R:
	  enforce logical byid

2013-02-06 16:58  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-02-06 09:18  rsbivand

	* DESCRIPTION, R/rgeos_topology.R, man/topo-unary-gPolygonize.Rd:
	  fix bug in gPolygonize for > 2 output objects

2013-01-31 16:46  rsbivand

	* inst/tests/testxml/general,
	  inst/tests/testxml/general/TestBoundary.xml,
	  inst/tests/testxml/general/TestCentroid.xml,
	  inst/tests/testxml/general/TestConvexHull-big.xml,
	  inst/tests/testxml/general/TestConvexHull.xml,
	  inst/tests/testxml/general/TestFunctionAA.xml,
	  inst/tests/testxml/general/TestFunctionAAPrec.xml,
	  inst/tests/testxml/general/TestFunctionLA.xml,
	  inst/tests/testxml/general/TestFunctionLAPrec.xml,
	  inst/tests/testxml/general/TestFunctionLL.xml,
	  inst/tests/testxml/general/TestFunctionLLPrec.xml,
	  inst/tests/testxml/general/TestFunctionPA.xml,
	  inst/tests/testxml/general/TestFunctionPL.xml,
	  inst/tests/testxml/general/TestFunctionPLPrec.xml,
	  inst/tests/testxml/general/TestFunctionPP.xml,
	  inst/tests/testxml/general/TestInteriorPoint.xml,
	  inst/tests/testxml/general/TestRectanglePredicate.xml,
	  inst/tests/testxml/general/TestRelateAA.xml,
	  inst/tests/testxml/general/TestRelateAC.xml,
	  inst/tests/testxml/general/TestRelateLA.xml,
	  inst/tests/testxml/general/TestRelateLC.xml,
	  inst/tests/testxml/general/TestRelateLL.xml,
	  inst/tests/testxml/general/TestRelatePA.xml,
	  inst/tests/testxml/general/TestRelatePL.xml,
	  inst/tests/testxml/general/TestRelatePP.xml,
	  inst/tests/testxml/general/TestSimple.xml,
	  inst/tests/testxml/general/TestValid.xml,
	  inst/tests/testxml/general/TestValid2-big.xml,
	  inst/tests/testxml/general/TestValid2.xml,
	  inst/tests/testxml/general/TestWithinDistance.xml: tidy

2013-01-31 16:45  rsbivand

	* inst/tests/testxml/general: tidy

2013-01-16 09:03  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-01-16 09:02  rsbivand

	* DESCRIPTION, R/AAA.R: move startup message to .onAttach

2012-12-18 14:10  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-12-18 14:09  rsbivand

	* DESCRIPTION: tidy

2012-12-08 17:29  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-12-08 16:53  rsbivand

	* R/AAA.R: versions in startup messages

2012-12-08 16:50  rsbivand

	* R/AAA.R: versions in startup messages

2012-12-08 16:47  rsbivand

	* configure, configure.ac: versions in configure

2012-12-03 20:27  rsbivand

	* R/AAA.R: tidy

2012-11-20 20:13  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-11-20 20:09  rsbivand

	* DESCRIPTION: cumulation change in rgeos_binarytopologyfunc to
	  avoid collection in collection error

2012-11-20 19:21  rsbivand

	* src/rgeos_topology_binary.c: cumulation change in
	  rgeos_binarytopologyfunc to avoid collection in collection error

2012-11-12 09:30  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-11-12 08:00  rsbivand

	* R/gpc_geos.R: adding conversion of a NULL to gpc.poly

2012-11-11 19:01  rsbivand

	* DESCRIPTION, R/Rgpc_funcs.R: adding conversion of a NULL to
	  gpc.poly

2012-11-05 17:30  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-11-05 17:30  rsbivand

	* man/comment-functions.Rd: dontrun part of check holes example

2012-11-05 08:56  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-11-05 08:55  rsbivand

	* DESCRIPTION: tidy

2012-09-30 18:05  edzer

	* DESCRIPTION, NAMESPACE, R/rgeos_wkt.R: removed dependency on
	  stringr and plyr, replaced two str_ function
	  calls with the equivalent ones in base R.

2012-09-06 09:30  rsbivand

	* inst/wkts, inst/wkts/sline1.wkt, inst/wkts/sline2.wkt,
	  man/utility-functions.Rd: setScale example from Mao-Gui Hu

2012-08-19 13:07  edzer

	* NAMESPACE, R/labelpt.R, man/labelpt.Rd: update function name;
	  cosmetics.

2012-08-17 20:20  edzer

	* DESCRIPTION, NAMESPACE, R/labelpt.R, man/labelpt.Rd: added first
	  attempt to label points functions, that evolved from
	  https://stat.ethz.ch/pipermail/r-sig-geo/2012-July/015693.html ;
	  edited author@R section to DESCRIPTION.

2012-06-24 14:41  rsbivand

	* DESCRIPTION, src/rgeos.c, src/rgeos.h, src/rgeos_R2geosMP.c,
	  src/rgeos_coord.c, src/rgeos_poly2nb.c: remove some -Wall
	  warnings

2012-06-24 13:28  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-06-24 13:27  rsbivand

	* DESCRIPTION, src/dummy.cc, src/local_stubs.c: adding src/dummy.cc

2012-05-07 16:48  rsbivand

	* DESCRIPTION, src/rgeos_misc.c: fixed single geometry bug in
	  gDistance

2012-05-02 09:58  rsbivand

	* ChangeLog, inst/ChangeLog: more configure updates

2012-05-02 09:58  rsbivand

	* configure, configure.ac: more configure updates

2012-04-24 10:56  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-04-24 10:54  rsbivand

	* configure, configure.ac: tidying configure.ac

2012-04-22 11:42  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-04-22 11:42  rsbivand

	* DESCRIPTION: add plyr dependency

2012-04-20 08:32  rsbivand

	* configure, configure.ac: tidy

2012-04-20 07:06  rsbivand

	* R/AAA.R: tidy

2012-04-20 07:01  rsbivand

	* DESCRIPTION: tidy

2012-04-20 07:01  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-04-20 07:00  rsbivand

	* configure, configure.ac, configure.in, src/Makevars.in: upgrading
	  configure

2012-04-19 13:20  rsbivand

	* inst/tests/test-translate-polygon-collection.R,
	  src/rgeos_geos2R.c: fixed broken tests

2012-04-17 13:38  rsbivand

	* DESCRIPTION, inst/tests/test-translate-polygons.R,
	  src/rgeos_geos2R.c: broken tests

2012-04-16 13:21  rsbivand

	* R/rgeos_util.R: using top-level comment to SpatialPolygons for
	  all member Polygons commented with OGC SFS kludge

2012-04-16 13:13  rsbivand

	* DESCRIPTION, R/rgeos_misc.R, R/rgeos_predicate_binary.R,
	  R/rgeos_predicate_unary.R, R/rgeos_topology.R,
	  R/rgeos_topology_binary.R, R/rgeos_util.R: using top-level
	  comment to SpatialPolygons for all member Polygons commented with
	  OGC SFS kludge

2012-03-17 15:08  rsbivand

	* ChangeLog, DESCRIPTION, inst/ChangeLog: tidy

2012-03-16 18:53  crundel

	* src/rgeos_R2geos.c: Fixed crashing bug when ignoring holes with
	  unknown parent poly

2012-03-16 14:46  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-03-16 11:54  rsbivand

	* DESCRIPTION, R/rgeos_misc.R: added createSPComment to
	  RGEOSMiscFunc

2012-02-22 17:00  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-02-22 16:59  rsbivand

	* DESCRIPTION: tidy

2012-01-30 10:44  rsbivand

	* DESCRIPTION, R/rgeos_topology.R: revise gLineMerge

2012-01-27 12:31  rsbivand

	* man/topo-bin-gUnion.Rd: fix documentation

2012-01-20 10:12  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-01-19 19:25  rsbivand

	* src/rgeos_poly2nb.c: fixing gBinarySTRtreeQuery

2012-01-19 19:08  rsbivand

	* man/experimental-functions.Rd, src/rgeos_poly2nb.c: fixing
	  gBinarySTRtreeQuery

2012-01-18 19:11  rsbivand

	* DESCRIPTION, src/rgeos_poly2nb.c: fixing gBinarySTRtreeQuery

2012-01-15 13:12  rsbivand

	* ChangeLog, DESCRIPTION, inst/ChangeLog: tidy

2012-01-15 11:37  edzer

	* DESCRIPTION, src/rgeos_predicate_binary.c: added r-forge URL to
	  DESCRIPTION
	  added type casts to remove compilation warnings

2012-01-15 09:58  crundel

	* src/rgeos_geos2R.c: Cleanup

2012-01-15 09:58  crundel

	* src/rgeos_topology.c, src/rgeos_topology_binary.c: Cleanup and
	  memory leak

2012-01-15 09:58  crundel

	* src/rgeos_R2geos.c: memory leak

2012-01-15 09:58  crundel

	* src/rgeos_predicate_binary.c, src/rgeos_predicate_unary.c:
	  cleanup

2012-01-15 09:58  crundel

	* src/rgeos_geos2R.c: Small memory leak

2012-01-15 09:58  crundel

	* src/rgeos_bbox.c: Fixing what I broke

2012-01-15 09:58  crundel

	* src/rgeos_geos2R.c: Cleanup

2012-01-15 09:58  crundel

	* src/rgeos_R2geos.c, src/rgeos_R2geosMP.c: Cleanup and moved
	  multipoint functions to new source file

2012-01-15 09:58  crundel

	* inst/tests/process_testxml.R, inst/tests/test-jts-xml.R: Break up
	  XML test runner to allow for separate testing

2012-01-15 09:58  crundel

	* src/rgeos_bbox.c: Should function for all geometry types now

2012-01-15 09:58  crundel

	* src/rgeos.h, src/rgeos_coord.c: Fixed const correctness for
	  coordSequence

2012-01-15 09:58  crundel

	* src/gpc_geos.c, src/init.c, src/rgeos.h: Removed gpc_geos
	  functions since we arn't using them

2012-01-15 09:58  crundel

	* src/rgeos.h: cleanup

2012-01-15 09:58  crundel

	* src/gpc_geos.c, src/rgeos.h: Lots of cleaning and minor
	  refactoring, changes have not been tested since we don't
	  currently use any of this functionality

2012-01-15 09:58  crundel

	* src/rgeos_coord.c: cleanup

2012-01-15 09:58  crundel

	* src/rgeos_geos2R.c: cleanup

2012-01-15 09:57  crundel

	* src/rgeos_R2geos.c: cleanup

2012-01-15 09:57  crundel

	* src/rgeos_R2geos.c: Don't use the handle here

2012-01-15 09:57  crundel

	* src/rgeos_R2geos.c: Removed unused scale variable

2012-01-15 09:57  crundel

	* src/rgeos_R2geos.c: Cleaned tabs

2012-01-15 09:57  crundel

	* src/rgeos_topology.c: More cleanup, removed unused curtype

2012-01-15 09:57  crundel

	* src/rgeos_topology.c: Cleanup and switch to use just one call to
	  GEOSGeomTypeId_r

2012-01-15 09:57  crundel

	* src/rgeos_geos2R.c: Cleaning tabs

2012-01-13 00:02  crundel

	* src/rgeos_geos2R.c: Cleanup and memory leak fix

2012-01-13 00:02  crundel

	* src/rgeos_geos2R.c: Cleanup

2012-01-13 00:02  crundel

	* inst/tests/test-translate-lines.R,
	  inst/tests/test-translate-points.R,
	  inst/tests/test-translate-polygon-collection.R,
	  inst/tests/test-translate-polygons.R,
	  inst/tests/test-translate-rings.R, inst/tests/test-translate.R:
	  Break up translate tests into separate files

2012-01-09 07:59  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-01-08 21:42  edzer

	* src/rgeos_geos2R.c: one more memory leak fixed.

2012-01-08 19:46  edzer

	* DESCRIPTION, src/rgeos_bbox.c, src/rgeos_poly2nb.c,
	  src/rgeos_validate.c: version bump; fixed more memory leaks.

2012-01-07 13:22  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-01-06 23:20  edzer

	* src/rgeos_buffer.c, src/rgeos_geos2R.c: further memory release
	  hunting...

2012-01-06 18:31  edzer

	* DESCRIPTION, src/rgeos_R2geos.c, src/rgeos_buffer.c,
	  src/rgeos_coord.c, src/rgeos_geos2R.c, src/rgeos_topology.c,
	  src/rgeos_wkt.c: version bump; hunt for memory leaks.

2012-01-05 22:07  edzer

	* src/rgeos_buffer.c: un-commented the GEOS_destroy_r() commands in
	  buffer, after adding conditions.

2012-01-02 09:06  rsbivand

	* ChangeLog, inst/ChangeLog: avoid gpclib suggest via maptools

2012-01-02 09:05  rsbivand

	* DESCRIPTION, man/gpc-new-generics.Rd: avoid gpclib suggest via
	  maptools

2011-12-14 09:11  rsbivand

	* ChangeLog, inst/ChangeLog: revert destroy in R2geos.c

2011-12-14 09:10  rsbivand

	* DESCRIPTION, src/rgeos_R2geos.c: revert destroy in R2geos.c

2011-12-10 11:37  rsbivand

	* ChangeLog, inst/ChangeLog: clear stringr 0.6 mess

2011-12-10 11:36  rsbivand

	* DESCRIPTION, src/rgeos_R2geos.c: clear stringr 0.6 mess

2011-12-10 07:44  crundel

	* R/rgeos_wkt.R: Changed str_match_all to str_extract_all

2011-12-09 22:04  crundel

	* tests/test-all.R: use test_package from testthat instead of
	  test_file

2011-12-09 22:04  crundel

	* R/rgeos_wkt.R: Fix to address small change in return type from
	  stringr str_match_all function

2011-11-28 14:55  rsbivand

	* src/rgeos_buffer.c: moved curgeom inside loop

2011-11-18 03:57  crundel

	* src/rgeos_topology_binary.c: Fix returned id for binary topology
	  operations

2011-11-14 18:39  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-11-14 18:38  rsbivand

	* DESCRIPTION, configure, configure.in, src/init.c, src/rgeos.h,
	  src/rgeos_topology.c: move HAVE_UNARYUNION to rgeos.h

2011-11-14 10:55  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-11-10 07:43  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-11-09 10:51  rsbivand

	* DESCRIPTION, src/rgeos_topology_binary.c: drop empty objects
	  before building Geometry Collection in binary topology ops

2011-10-30 18:59  rsbivand

	* DESCRIPTION, man/topo-unary-gSimplify.Rd, src/gpc_geos.c,
	  src/rgeos_buffer.c, src/rgeos_geos2R.c: tickling destroy

2011-10-25 21:22  crundel

	* DESCRIPTION: Require stringr >= 0.5

2011-10-19 19:20  rsbivand

	* src/gpc_geos.c, src/rgeos_geos2R.c: add space character for
	  safety in comment

2011-10-19 18:52  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-10-19 18:51  rsbivand

	* DESCRIPTION, src/gpc_geos.c, src/local_stubs.c,
	  src/rgeos_geos2R.c: fix comment string length

2011-09-16 07:24  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-09-16 07:22  rsbivand

	* DESCRIPTION: tidy

2011-09-05 12:35  rsbivand

	* src/rgeos_poly2nb.c: STRtree loop simplification (strcmp before
	  loop)

2011-09-05 08:07  rsbivand

	* src/rgeos_poly2nb.c: STRtree loop simplification (strcmp before
	  loop)

2011-09-04 18:29  rsbivand

	* R/rgeos_util.R, src/rgeos_poly2nb.c: callback corrections

2011-09-03 14:34  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R, R/rgeos_spExtensions_Classes.R,
	  src/rgeos_buffer.c, src/rgeos_wkt.c: changed dependency load
	  syntax

2011-09-03 03:32  crundel

	* src/rgeos_poly2nb.c: Cleanup of build warnings from using
	  callback pointer

2011-09-03 03:32  crundel

	* src/rgeos.h, src/rgeos_misc.c, src/rgeos_predicate_binary.c,
	  src/rgeos_predicate_unary.c, src/rgeos_topology.c,
	  src/rgeos_topology_binary.c: Cleanup of build warnings from
	  function pointers

2011-06-11 06:59  rsbivand

	* ChangeLog, inst/ChangeLog: touch local_stubs.c

2011-06-11 06:59  rsbivand

	* src/local_stubs.c: touch local_stubs.c

2011-06-11 05:26  rsbivand

	* ChangeLog, inst/ChangeLog: permit NA IDs in union

2011-06-11 05:25  rsbivand

	* R/rgeos_topology.R: permit NA IDs in union

2011-06-10 22:06  rsbivand

	* DESCRIPTION, R/rgeos_topology.R, configure.in,
	  man/topo-bin-gUnion.Rd, src/gpc_geos.c, src/rgeos_geos2R.c: sp
	  comment buffer overflow fix

2011-06-09 14:04  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-06-09 13:55  rsbivand

	* DESCRIPTION: update sp version

2011-06-09 08:23  rsbivand

	* R/rgeos_topology.R, man/topo-bin-gUnion.Rd: gUnionCascaded
	  suggestion

2011-06-09 06:21  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R, R/rgeos_topology.R, configure,
	  configure.in, man/pred-binary-gTouches.Rd,
	  man/topo-bin-gUnion.Rd, man/utility-functions.Rd, src/init.c,
	  src/rgeos.h, src/rgeos_topology.c: adding UnaryUnion for GEOS
	  3.3.0

2011-05-24 16:15  rsbivand

	* DESCRIPTION: added version to GEOS required

2011-05-24 11:27  edzer

	* DESCRIPTION: increased dependency on sp 0.9-73, which has over
	  defined as generic.

2011-05-18 21:07  rsbivand

	* ChangeLog, inst/ChangeLog: RGEOSBinPredFunc single argument fix

2011-05-18 21:06  rsbivand

	* R/rgeos_predicate_binary.R, R/rgeos_predicate_unary.R,
	  R/rgeos_topology.R, R/rgeos_topology_binary.R: RGEOSBinPredFunc
	  single argument fix

2011-05-18 20:53  rsbivand

	* ChangeLog, inst/ChangeLog: RGEOSBinPredFunc single argument fix

2011-05-18 20:49  rsbivand

	* DESCRIPTION, R/rgeos_predicate_binary.R: RGEOSBinPredFunc single
	  argument fix

2011-05-11 12:49  edzer

	* R/over.R: improved over methods for gridded objects

2011-05-09 20:31  edzer

	* R/over.R: added the lines & (grids / pixels) methods for "over"
	  overlay.

2011-05-09 16:50  edzer

	* DESCRIPTION, R/over.R: added 18 overlay methods for "over" (from
	  sp)

2011-03-30 14:42  rsbivand

	* ChangeLog, inst/ChangeLog: attempts to limit memory hunger

2011-03-30 14:40  rsbivand

	* R/AAA.R, R/rgeos_util.R, src/rgeos_poly2nb.c,
	  src/rgeos_predicate_binary.c, src/rgeos_predicate_unary.c:
	  attempts to limit memory hunger

2011-03-29 08:25  rsbivand

	* DESCRIPTION, R/rgeos_util.R, man/experimental-functions.Rd,
	  man/topo-bin-gIntersection.Rd, src/rgeos.h, src/rgeos_R2geos.c,
	  src/rgeos_poly2nb.c: STRtree for Polygons

2011-03-28 09:40  rsbivand

	* ChangeLog, inst/ChangeLog: documenting hole checking for Polygons
	  objects

2011-03-28 09:39  rsbivand

	* R/AAA.R: documenting hole checking for Polygons objects

2011-03-28 09:29  rsbivand

	* ChangeLog, inst/ChangeLog: documenting hole checking for Polygons
	  objects

2011-03-28 09:28  rsbivand

	* DESCRIPTION, configure, configure.in, man/comment-functions.Rd:
	  documenting hole checking for Polygons objects

2011-03-26 19:41  rsbivand

	* R/rgeos_buffer.R, R/rgeos_misc.R: adding projection check for
	  buffer and misc

2011-03-26 19:29  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R, R/rgeos_buffer.R,
	  R/rgeos_misc.R, R/rgeos_predicate_binary.R,
	  R/rgeos_predicate_unary.R, R/rgeos_topology.R,
	  R/rgeos_topology_binary.R, R/rgeos_util.R,
	  man/comment-functions.Rd, src/rgeos_geos2R.c, tests/test-all.R:
	  imposing polygon checking unless option set

2011-03-21 10:13  rsbivand

	* ChangeLog, inst/ChangeLog: prerelease

2011-03-21 09:04  rsbivand

	* ChangeLog, inst/ChangeLog: prerelease

2011-03-21 09:03  rsbivand

	* DESCRIPTION: prerelease

2011-02-26 23:03  rsbivand

	* inst/tests/test-jts-xml.R: xml file reading wrapper for 32-bit
	  libxml2 on F14 in tests

2011-02-06 14:58  rsbivand

	* R/AAA.R: suppress startup messages

2010-11-30 17:38  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2010-11-24 12:31  rsbivand

	* R/rgeos_topology.R, R/rgeos_util.R, man/topo-bin-gUnion.Rd:
	  g*STRtreeQuery added to experimental

2010-11-24 10:44  rsbivand

	* man/experimental-functions.Rd: g*STRtreeQuery added to
	  experimental

2010-11-24 10:39  rsbivand

	* ChangeLog, inst/ChangeLog: g*STRtreeQuery added to experimental

2010-11-24 10:39  rsbivand

	* DESCRIPTION, NAMESPACE, R/rgeos_util.R,
	  man/experimental-functions.Rd, src/rgeos_poly2nb.c:
	  g*STRtreeQuery added to experimental

2010-11-19 21:56  rsbivand

	* .Rbuildignore: add rgeos_unary_STRtree_query and
	  rgeos_binary_STRtree_query

2010-11-19 21:54  rsbivand

	* src/init.c, src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_poly2nb.c:
	  add rgeos_unary_STRtree_query and rgeos_binary_STRtree_query

2010-11-19 13:18  rsbivand

	* src/rgeos_poly2nb.c: STRtree attempts

2010-11-18 23:07  crundel

	* inst/tests/testxml/vivid: Removing empty folder

2010-11-08 20:43  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2010-11-08 20:42  rsbivand

	* DESCRIPTION: tidy

2010-11-08 20:39  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2010-11-08 20:05  crundel

	* inst/poly-ex-gpc, inst/poly-ex-gpc/ex-poly1.txt,
	  inst/poly-ex-gpc/ex-poly2.txt, inst/poly-ex-gpc/hole-poly.txt:
	  Added gpc polygon example data files

2010-11-08 20:02  crundel

	* data, man/class-gpc.poly.Rd, man/experimental-functions.Rd: More
	  clean up

2010-11-08 19:44  crundel

	* DESCRIPTION, inst/tests/test-jts-xml.R, man,
	  man/class-gpc.poly.Rd, tests, tests/test-all.R: Package clean up
	  for release

2010-11-07 19:38  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2010-11-07 19:18  rsbivand

	* configure.win, src/Makevars.win: Windows static build

2010-11-01 18:02  crundel

	* R/rgeos_misc.R, src/rgeos_R2geos.c: Fixed a bug in handling
	  polygons with holes but no comment.

2010-09-29 17:51  crundel

	* NAMESPACE, R/rgeos_util.R:

2010-09-26 20:29  crundel

	* R/rgeos_util.R, src/rgeos_R2geos.c, tests/test-all.R: Small fixes
	  to get CHECK to work

2010-09-09 20:47  crundel

	* src/rgeos_R2geos.c: Changed translate functions so that
	  unassigned holes are ignored and a warning reported.

2010-09-09 19:56  crundel

	* NAMESPACE, R/gpc_geos.R, R/rgeos.R, R/rgeos_util.R,
	  man/checkHolesGPC.Rd, man/checkPolygonsGEOS.Rd,
	  man/comment-functions.Rd, src/init.c, src/rgeos.h,
	  src/rgeos_R2geos.c, src/rgeos_validate.c: Removed
	  checkPolygonsGEOS and checkHolesGPC functions and replaced then
	  with createPolygonsComment and createSPComment functions. Similar
	  functionality, but removes guessing of hole status for polygons
	  and focuses on assign ownership via comment attributes.

2010-08-16 12:36  crundel

	* src/rgeos_predicate_binary.c: Added const to prepared geometry to
	  deal with compiler warning

2010-08-16 12:34  crundel

	* man/pred-binary-gEquals.Rd, man/pred-binary-gRelate.Rd: Small
	  docs typo fix

2010-08-16 12:31  crundel

	* inst/tests/test-jts-xml.R, tests/test-all.R: Small test fixes
	  
	  Some of the tests in the JTS xml files are skipped due to
	  compatibility issues, see descSkip

2010-08-16 12:27  crundel

	* R/rgeos_predicate_binary.R, man/pred-binary-gEquals.Rd,
	  man/pred-binary-gRelate.Rd, man/pred-unary-gIsSimple.Rd,
	  man/pred-unary-gIsValid.Rd, man/topo-unary-gSimplify.Rd: Small
	  documentation fixes
	  
	  Put tol and pattern as 3rd arguments in gEquals and gRelate

2010-08-16 11:46  crundel

	* man/misc-gDistance.Rd, man/pred-binary-gContains.Rd,
	  man/pred-binary-gCrosses.Rd, man/pred-binary-gEquals.Rd,
	  man/pred-binary-gIntersects.Rd, man/pred-binary-gRelate.Rd,
	  man/pred-binary-gTouches.Rd, man/pred-unary-gIsSimple.Rd,
	  man/pred-unary-gIsValid.Rd, man/topo-bin-gDifference.Rd,
	  man/topo-bin-gIntersection.Rd, man/topo-bin-gSymdifference.Rd,
	  man/topo-bin-gUnion.Rd, man/topo-unary-gBoundary.Rd,
	  man/topo-unary-gCentroid.Rd, man/topo-unary-gConvexHull.Rd,
	  man/topo-unary-gEnvelope.Rd, man/topo-unary-gPointOnSurface.Rd,
	  man/topo-unary-gPolygonize.Rd, man/topo-unary-gSimplify.Rd:
	  Documentation update

2010-08-16 11:45  crundel

	* NAMESPACE: Commented out poly_findInBoxGEOS

2010-08-16 10:25  crundel

	* R/rgeos_topology.R: Simplified function arguments for gSimplify
	  since byid doesnt really matter.

2010-08-16 09:10  crundel

	* R/rgeos_spExtensions_Methods.R: Added isGenerics checks for
	  row.names and row.names<-

2010-08-16 09:09  crundel

	* NAMESPACE, R/rgeos_predicate_binary.R: Separated Equals and
	  EqualsExact back into different functions, had misunderstood how
	  they worked.
	  
	  Removed groupID from NAMESPACE for the time being, probably needs
	  to be reimplemented in C.

2010-08-15 13:46  crundel

	* man/misc-gArea.Rd, man/misc-gBuffer.Rd, man/misc-gDistance.Rd,
	  man/misc-gLength.Rd, man/pred-unary-gIsEmpty.Rd,
	  man/pred-unary-gIsRing.Rd, man/pred-unary-gIsSimple.Rd,
	  man/pred-unary-gIsValid.Rd, man/topo-bin-gUnion.Rd,
	  man/topo-unary-gBoundary.Rd, man/topo-unary-gCentroid.Rd,
	  man/topo-unary-gConvexHull.Rd, man/topo-unary-gEnvelope.Rd:
	  Documentation update

2010-08-15 13:44  crundel

	* NAMESPACE, R/rgeos_buffer.R, R/rgeos_predicate_binary.R,
	  src/init.c, src/rgeos.h, src/rgeos_predicate_binary.c: Fixed bug
	  with gRelate when pattern was specified
	  
	  Combined gEquals and gEqualsExact functions by adding tol
	  argument to gEquals
	  
	  Changed default of byid in gBuffer to FALSE for consistency

2010-08-15 10:07  crundel

	* R/rgeos_misc.R: Fixed bug, GEOSArea_r was being called by both
	  gLength and gArea

2010-08-15 10:06  crundel

	* NAMESPACE: Removed reference for gHasZ, no use for the function
	  currently as 3d geometries are not supported

2010-08-15 10:05  crundel

	* src/rgeos_predicate_unary.c: Cleaned up code / variable
	  declarations

2010-08-14 11:47  crundel

	* man/pred-unary-gIsValid.Rd: Fixed extra line in example, and
	  linearring example

2010-08-14 10:51  crundel

	* man/gpc-new-generics.Rd: Added alias to symdiff function

2010-08-14 10:51  crundel

	* NAMESPACE, R/rgeos_predicate_unary.R, inst/tests/test-jts-xml.R:
	  Unary Predicate functions renamed

2010-08-14 10:50  crundel

	* man/pred-unary-gIsSimple.Rd, man/pred-unary-gIsValid.Rd,
	  man/topo-unary-gBoundary.Rd, man/topo-unary-gCentroid.Rd,
	  man/topo-unary-gConvexHull.Rd, man/topo-unary-gEnvelope.Rd,
	  man/topo-unary-gPointOnSurface.Rd, man/wkt-functions.Rd:
	  Documentation update

2010-08-11 13:41  crundel

	* R/rgeos_util.R, man/utility-functions.Rd: Small bugfix / typo fix

2010-08-11 12:46  crundel

	* NAMESPACE, R/rgeos_util.R, man/utility-functions.Rd: Utility
	  function documentation
	  
	  Renamed argument in checkP4S to p4s for the sake of brevity

2010-08-11 12:19  crundel

	* NAMESPACE, R/rgeos_util.R, inst/tests/test-translate-empty.R,
	  inst/tests/test-translate.R: Renamed function doubletranslate to
	  translate

2010-08-11 12:18  crundel

	* man/checkHolesGPC.Rd: Removed empty documentation sections

2010-08-11 12:14  crundel

	* NAMESPACE, R/rgeos.R: Removed unused intersection functions

2010-08-11 12:14  crundel

	* man/gpc.poly-class.Rd, man/gpc.poly.nohole-class.Rd,
	  man/new-generics.Rd, man/polyfile.Rd: Files renamed

2010-08-11 12:13  crundel

	* man/class-Ring.Rd, man/class-SpatialCollections.Rd,
	  man/class-SpatialRings.Rd, man/class-SpatialRingsDataFrame.Rd,
	  man/class-gpc.poly.Rd, man/class-gpc.poly.nohole.Rd,
	  man/constructor-SpatialCollections.Rd,
	  man/constructor-SpatialRings.Rd, man/gpc-new-generics.Rd,
	  man/gpc-polyfile.Rd, man/topo-bin-gDifference.Rd,
	  man/topo-bin-gIntersection.Rd, man/topo-bin-gSymdifference.Rd,
	  man/topo-bin-gUnion.Rd, man/topo-unary-gBoundary.Rd,
	  man/topo-unary-gCentroid.Rd, man/topo-unary-gConvexHull.Rd,
	  man/topo-unary-gEnvelope.Rd, man/topo-unary-gPointOnSurface.Rd:
	  Documentation update, changed naming convention to keep things
	  clear

2010-08-10 18:04  crundel

	* man/topo-bin-gUnion.Rd: Fixed function argument ordering in
	  gLineMerge usage.

2010-08-10 18:02  crundel

	* man/topo-unary-gBoundary.Rd, man/topo-unary-gEnvelope.Rd,
	  man/topo-unary-gPointOnSurface.Rd: Fixed incorrect function names
	  in usage section

2010-08-10 17:57  crundel

	* tests/test-all.R: Fixed test path

2010-08-10 17:56  crundel

	* man/gpc.poly-class.Rd: Removed triangulate example

2010-08-10 17:49  crundel

	* man/gIntersection.Rd, man/gUnion.Rd, man/topo-bin-gDifference.Rd,
	  man/topo-bin-gIntersection.Rd, man/topo-bin-gSymdifference.Rd,
	  man/topo-bin-gUnion.Rd, man/topo-unary-gBoundary.Rd,
	  man/topo-unary-gCentroid.Rd, man/topo-unary-gConvexHull.Rd,
	  man/topo-unary-gEnvelope.Rd, man/topo-unary-gPointOnSurface.Rd:
	  Preliminary documentation for all topology functions along with
	  examples.
	  
	  Changed Rd file naming scheme for clarity

2010-08-10 17:48  crundel

	* R/rgeos_topology.R: Changed argument order for topology functions
	  for the sake of consistency.

2010-08-10 13:26  crundel

	* R/rgeos_topology.R: Fixed bug in gPolygonizer

2010-08-10 13:24  crundel

	* man/gpc.poly-class.Rd, man/gpc.poly.nohole-class.Rd,
	  man/new-generics.Rd, man/polyfile.Rd: Updated documentation files
	  for gpcpoly functions

2010-07-27 06:08  crundel

	* inst/tests/test-jts-xml.R: Fixed (working) version of jts xml
	  test processing

2010-07-27 05:15  crundel

	* inst/tests/test-translate-empty.R, inst/tests/test-translate.R:
	  Added setScale() call to begin of each set of tests to reset
	  scale option (changed by some of the JTS tests)

2010-07-27 05:14  crundel

	* NAMESPACE, R/rgeos_predicate_binary.R, src/init.c, src/rgeos.h,
	  src/rgeos_predicate_binary.c: Added prepared geometry functions -
	  gContainsProperly, gCovers, gCoveredBy and prepared variants of
	  gIntersects and gContains specified by a flag.

2010-07-27 05:04  crundel

	* R/rgeos_util.R: Fixed bug, extra ) in double translate

2010-07-27 03:44  crundel

	* inst/tests/test-empty-geom.R, inst/tests/test-translate-empty.R,
	  inst/tests/test-translate.R: Changed phrasing of some of the
	  tests in translate to make it easier to distinguish between
	  similar tests.
	  
	  Renamed test-empty-geom.R to test-translate-empty.R

2010-07-25 09:15  crundel

	* R/rgeos_util.R, R/rgeos_wkt.R, src/rgeos_R2geos.c,
	  src/rgeos_geos2R.c: Fixed bug in passing ids during translation

2010-07-25 08:08  crundel

	* R/rgeos_predicate_binary.R: Removed more leftover debug messaging

2010-07-25 07:56  crundel

	* R/rgeos_predicate_binary.R: Fixed bug in gRelate, still called
	  RGEOSRelate and passed byid instead of pattern as 3rd argument

2010-07-25 06:31  crundel

	* src/rgeos_geos2R.c: Removed leftover debug messages

2010-07-25 06:24  crundel

	* inst/tests/test-empty-geom.R: Added test for GEOMETRYCOLLECTION
	  EMPTY

2010-07-25 06:23  crundel

	* R/rgeos_wkt.R: Fixed bug to handle null geometries

2010-07-25 06:22  crundel

	* src/rgeos_R2geos.c, src/rgeos_geos2R.c: Fixed bugs handling empty
	  geometries, collections were getting turned into nulls. Now only
	  GEOMETRYCOLLECTION EMPTY returns null.

2010-07-24 07:03  crundel

	* NAMESPACE, R/rgeos_topology.R, src/init.c, src/rgeos.h,
	  src/rgeos_topology.c: Added gSimplify and gPolygonize
	  functionality, no idea how the latter works

2010-07-24 03:19  crundel

	* src/rgeos_R2geos.c: Fixed bug in R2geos translate function for
	  SpatialPoints object without row names.

2010-07-19 18:17  crundel

	* NAMESPACE, R/rgeos_spExtensions_Methods.R, R/rgeos_util.R,
	  R/rgeos_wkt.R: Small fixes for handling SpatialCollections

2010-07-19 06:28  crundel

	* src/rgeos_R2geos.c, src/rgeos_geos2R.c: Initial implementation of
	  translation of SpatialCollections classes to and from geos.

2010-07-19 04:58  crundel

	* R/rgeos_spExtensions_Methods.R: Fixed bug in SpatialCollections
	  print method to use NA as default polygon color if col is not
	  specified.

2010-07-19 04:27  crundel

	* R/rgeos_spExtensions_Methods.R: Fixed bug in SpatialCollections
	  print method to have the proper range

2010-07-19 04:17  crundel

	* NAMESPACE: Export SpatialCollections classes and constructor

2010-07-19 04:16  crundel

	* R/rgeos_SpatialCollections.R, R/rgeos_SpatialRings.R,
	  R/rgeos_SpatialRingsDataFrame.R, R/rgeos_spExtensions_Classes.R,
	  R/rgeos_spExtensions_Methods.R: Combined SpatialCollections and
	  SpatialRings extension classes into the same file
	  (SpatialCollections depends on SpatialRings this way we can be
	  sure that the latter is defined first)

2010-07-19 01:46  crundel

	* R/rgeos_SpatialCollections.R: Initial implementation of
	  SpatialCollections with plot method missing additional helper
	  methods

2010-07-17 04:56  crundel

	* R/Rgpc_funcs.R, R/gpc_geos.R, src/gpc_geos.c: Updated gpc
	  replacement functions, added translation functions to and from
	  gpc and sp

2010-07-17 04:54  crundel

	* man/LinesIntersections.Rd, man/gIntersection.Rd, man/gUnion.Rd,
	  man/gpc.poly-class.Rd, man/thinnedSpatialPolyGEOS.Rd,
	  man/unionSpatialPolygonsGEOS.Rd: Documentation update
	  -removed thinnedSpatialPolyGEOS.Rd
	  -replaced LinesIntersections.Rd with gIntersections.Rd
	  -replaced unionSpatialPolygons.Rd with gUnion.Rd
	  -removed unnecessary example from gpc.poly-class.Rd

2010-07-17 04:51  crundel

	* NAMESPACE, R/rgeos_buffer.R, R/rgeos_linearref.R, R/rgeos_misc.R,
	  R/rgeos_predicate_binary.R, R/rgeos_predicate_unary.R,
	  R/rgeos_topology.R, R/rgeos_topology_binary.R, src/init.c,
	  src/rgeos.h, src/rgeos_coord.c, src/rgeos_misc.c,
	  src/rgeos_predicate_binary.c, src/rgeos_topology_binary.c: Major
	  Update
	  
	  switched from RGEOS prefix on functions to gFunction style. Old
	  function names retained but with Deprecated warning. Removed "is"
	  prefix from relevant functions
	  
	  Added binary topology functions (gUnion, gDifference, etc)
	  
	  Combined related functions (hausdorffdistance with distance etc)

2010-07-12 19:00  rsbivand

	* R/AAA.R, configure, configure.in: version

2010-07-12 18:55  rsbivand

	* inst/SVN_VERSION: version

2010-07-12 18:32  rsbivand

	* inst/SVN_VERSION: version

2010-07-12 18:32  rsbivand

	* inst/SVN_VERSION: version

2010-07-12 18:29  rsbivand

	* configure, configure.in: version

2010-07-12 18:24  rsbivand

	* R/AAA.R, configure, configure.in: version

2010-07-10 17:57  rsbivand

	* NAMESPACE: fixed NAMESPACE

2010-07-10 07:05  crundel

	* R/rgeos_wkt.R, src/rgeos_geos2R.c: Fixes for handling
	  GEOMETRYCOLLECTION EMPTY, now
	  returns NULL

2010-07-08 21:24  crundel

	* inst/tests/test-empty-geom.R: Bug fix - misnamed variabel

2010-07-08 21:19  crundel

	* R/rgeos_buffer.R, R/rgeos_topology.R, R/rgeos_wkt.R, src/init.c,
	  src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_buffer.c,
	  src/rgeos_geos2R.c, src/rgeos_topology.c, src/rgeos_wkt.c:
	  Removed all references to threshold in geos2R translate functions
	  and calling functions

2010-07-08 21:17  crundel

	* man/LinesIntersections.Rd, man/thinnedSpatialPolyGEOS.Rd:
	  Commented out current broken function calls

2010-07-08 21:05  crundel

	* R/rgeos_SpatialRingsDataFrame.R: Small bug fix in
	  chFIDsSpatialRingsDataFrame

2010-07-08 20:52  crundel

	* R/rgeos_simplify.R, R/rgeos_union.R, src/rgeos_sp.c: Removed
	  files, functionality will be replicated elsewhere

2010-07-08 20:17  crundel

	* inst/tests/test-empty-geom.R: Updated unit tests for handling
	  empty geometries (added polygons and a few small fixes)

2010-07-08 20:16  crundel

	* src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_coord.c,
	  src/rgeos_geos2R.c, src/rgeos_sp.c: Renamed functions for parsing
	  polygons to and from geos and R to be more consistent
	  
	  Added handling for empty polygons to translate functions
	  
	  Removed thresholding from R2geos polygon translation functions.
	  Will re-implement as a separate function.
	  
	  FIXME - remove threshold parameter from function calls
	  
	  Added rgeos_Pt2xy coordinate function for getting x and y
	  coordinates from a geos point
	  
	  Added rgeos_crdMatFixDir which ensures coordinate direction is
	  correct in a coordinate matrix depending of if it is a hole or
	  not

2010-07-08 20:10  crundel

	* R/rgeos_SpatialRings.R: Fixed Ring class constructor to check the
	  direction of points, if not CW then reverses them.

2010-06-27 22:25  crundel

	* inst/tests/test-empty-geom.R: Unit tests for empty geometries and
	  their translations

2010-06-27 07:49  crundel

	* src/init.c, src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_coord.c:
	  Separated LinearRing translate functions from Linestring
	  functions
	  Fixed R2geos translation of empty geometries

2010-06-26 22:24  crundel

	* NAMESPACE: Export class constructor functions

2010-06-26 22:23  crundel

	* inst/tests/test-translate.R, src/rgeos_R2geos.c,
	  src/rgeos_geos2R.c: Translate functions for SpatialRings, fixed
	  translate unit tests to use the proper class.

2010-06-26 22:23  crundel

	* R/rgeos_buffer.R, R/rgeos_misc.R, R/rgeos_predicate_unary.R,
	  R/rgeos_topology.R, R/rgeos_util.R: Removed extractIDs function,
	  uses row.names instead

2010-06-26 18:54  crundel

	* src/rgeos_geos2R.c: Initial handling of empty points and empty
	  linestrings proof of concept (probably doesn't play well with
	  existing sp methods)

2010-06-26 18:50  crundel

	* src/rgeos_coord.c: Cleaned code

2010-06-26 18:44  crundel

	* src/rgeos_bbox.c: Cleaned code

2010-06-26 18:42  crundel

	* NAMESPACE, R/rgeos_SpatialRings.R,
	  R/rgeos_SpatialRingsDataFrame.R: Initial implementation of
	  SpatialRings and SpatialRingsDataFrame classes based on
	  SpatialLines

2010-06-26 18:41  crundel

	* R/rgeos_wkt.R: changed readWKT, let GEOS do all parsing/checking
	  of WKTs instead of trying to sort it out in R.

2010-06-26 02:04  crundel

	* src/rgeos_R2geos.c: Cleaned up c code, no changes in
	  functionality

2010-06-21 02:36  crundel

	* tests/.Rhistory: Removed .Rhistory

2010-06-15 17:13  rsbivand

	* R/AAA.R: keyword on load

2010-06-15 17:10  rsbivand

	* ChangeLog, inst/ChangeLog: keyword on load

2010-06-15 17:09  rsbivand

	* R/AAA.R: keyword on load

2010-06-14 05:30  crundel

	* src/rgeos_bbox.c, src/rgeos_buffer.c, src/rgeos_coord.c,
	  src/rgeos_misc.c, src/rgeos_wkt.c: Cleaned c code formatting

2010-06-12 20:38  crundel

	* src/rgeos_area.c, src/rgeos_geos2R.c: Cleaned code in
	  rgeos_LinearRingPolygon removed dependence on rgeos_csArea. Uses
	  GEOSArea_r now. Should be slightly faster.
	  
	  Removed rgeos_area.c (rgeos_csArea only referenced in
	  rgeos_LinearRingPolygon)

2010-06-12 19:48  crundel

	* src/rgeos.c, src/rgeos.h: Cleaned code in rgeos.c

2010-06-10 00:50  crundel

	* R/rgeos_misc.R, R/rgeos_predicate_binary.R, src/rgeos_misc.c,
	  src/rgeos_predicate_binary.c: Modified Binary predicate functions
	  and distance functions to allow byid to be of length 2 to
	  indicate if one geometry should be processed by id and the other
	  not.

2010-06-09 23:25  crundel

	* NAMESPACE: Forgot to add groupID to NAMESPACE

2010-06-09 23:22  crundel

	* NAMESPACE, R/rgeos_topology.R, R/rgeos_util.R,
	  man/unionSpatialPolygonsGEOS.Rd, src/init.c, src/rgeos.h,
	  src/rgeos_sp.c, src/rgeos_topology.c: Added RGEOSUnionCascaded,
	  replicates unionSpatialPolygonsGEOS functionality but is
	  currently slower.
	  
	  Added groupID utility function which restructures a SP object
	  based on newly assigned IDs, subobjects with the same ID are
	  grouped together. General solution to the need to flatten
	  SpatialPolygons for use with RGEOSUnionCascaded, but may be too
	  slow for practical use.

2010-06-07 09:02  rsbivand

	* inst/ChangeLog: update changelog

2010-06-07 08:54  rsbivand

	* ChangeLog: update changelog

2010-06-07 08:28  rsbivand

	* DESCRIPTION, NAMESPACE, src/gpc_geos.c, src/init.c,
	  src/rgeos_coord.c, src/rgeos_sp.c: tidying up to run CMD check

2010-06-07 05:01  crundel

	* src/rgeos_topology_binary.c:

2010-06-07 04:28  crundel

	* src/rgeos_R2geos.c: Handles Spatial DataFrame classes, currently
	  just ignores the data frame

2010-06-07 02:51  crundel

	* R/rgeos_topology_binary.R, R/rgeos_topology_relation.R: Renamed
	  rgeos_topology_relation to rgeos_topology_binary

2010-06-06 05:48  crundel

	* src/rgeos_topology.c: Fixed error message typos (referred to
	  wrong parent function)

2010-06-06 05:37  crundel

	* R/rgeos_predicate_binary.R, R/rgeos_topology_relation.R,
	  src/init.c, src/rgeos.h, src/rgeos_predicate_binary.c,
	  src/rgeos_predicate_unary.c: Fixed issue with argument number
	  mismatch in binary predicate function.
	  
	  Binary predicate functions take into account when the result is
	  symmetric and perform only the necessary calculations.
	  
	  RGEOSRelate and RGEOSRelatePattern moved to rgeos_binary_
	  predicate

2010-06-05 21:33  crundel

	* R/rgeos_misc.R, R/rgeos_predicate_binary.R,
	  R/rgeos_predicate_unary.R, R/rgeos_topology.R,
	  R/rgeos_topology_relation.R, src/init.c, src/rgeos.c,
	  src/rgeos.h, src/rgeos_predicate_binary.c,
	  src/rgeos_predicate_unary.c: Fixed issues with binary predicate
	  issue (temporarily remove rgeos_relatepattern)
	  
	  Added Unary Predicate Functions

2010-06-03 22:46  crundel

	* src/rgeos.h, src/rgeos_misc.c, src/rgeos_predicate_binary.c,
	  src/rgeos_topology.c: Removed the enum for each function and just
	  passing a function pointer directly now.

2010-06-02 03:44  crundel

	* R/rgeos_misc.R, R/rgeos_predicate_binary.R, src/init.c,
	  src/rgeos.h, src/rgeos_predicate_binary.c: Added binary predicate
	  functions: RGEOSDisjoint, RGEOSTouches, RGEOSIntersects,
	  RGEOSCrosses, RGEOSWithin, RGEOSContains, RGEOSOverlaps,
	  RGEOSEquals
	  
	  Generalized functions in rgeos_misc

2010-06-02 00:35  crundel

	* R/rgeos_topology.R, src/init.c, src/rgeos.h, src/rgeos_coord.c,
	  src/rgeos_geos2R.c, src/rgeos_misc.c, src/rgeos_topology.c: Added
	  RGEOSLineMerge
	  
	  Generalized function calls in topology and misc, functions with
	  the same type of parameters and differ only in the GEOS function
	  used are processed by the same function.
	  
	  Small bug fixes in coord and geos2R

2010-05-31 03:05  crundel

	* R/rgeos_misc.R, src/init.c, src/rgeos.h, src/rgeos_misc.c: Added
	  RGEOSHausdorffDistance, combined underlying C code with
	  rgeosdistance since everything is the same except for the geos
	  function call. FIXME - currently uses function pointers which are
	  causing gcc warnings, but code appears to work.

2010-05-30 21:53  crundel

	* R/rgeos_misc.R, src/init.c, src/rgeos.h, src/rgeos_misc.c: Added
	  RGEOSDistance and RGEOSisWithinDistance in rgeos_misc

2010-05-30 21:14  crundel

	* R/rgeos_misc.R, src/init.c, src/rgeos.h, src/rgeos_misc.c: Added
	  RGEOSArea and RGEOSLength in rgeos_misc

2010-05-30 20:40  crundel

	* src/rgeos.h: More cleaning of rgeos.h

2010-05-30 20:38  crundel

	* src/rgeos_contains.c, src/rgeos_distance.c, src/rgeos_length.c:
	  Removed rgeos_contains.c, rgeos_distance.c, rgeos_length.c
	  functionality will be covered by rgeos_misc.c

2010-05-30 20:37  crundel

	* src/init.c, src/rgeos.h: Removed rgeos_contains.c,
	  rgeos_distance.c, rgeos_length.c functionality will be covered by
	  rgeos_misc.c
	  
	  Cleaned up init.c and rgeos.h

2010-05-30 20:15  crundel

	* R/rgeos_buffer.R, src/rgeos_buffer.c: Added RGEOSBuffer

2010-05-30 20:11  crundel

	* R/rgeos_util.R: Added default value for setScale

2010-05-30 20:10  crundel

	* src/rgeos_poly2nb.c, src/rgeos_sp.c, src/rgeos_validate.c:
	  Updated function names

2010-05-29 09:38  crundel

	* NAMESPACE, R/rgeos_wkt.R, src/init.c, src/rgeos.h,
	  src/rgeos_R2geos.c, src/rgeos_geos2R.c, src/rgeos_wkt.c: Added
	  writeWKT, small fixes to translate functions

2010-05-27 19:47  crundel

	* NAMESPACE, R/rgeos_buffer.R, R/rgeos_linearref.R,
	  R/rgeos_topology.R, src/init.c, src/rgeos.c, src/rgeos.h,
	  src/rgeos_buffer.c, src/rgeos_predicate_unary.c,
	  src/rgeos_topology.c: Added RGEOSBoundary, RGEOSGetCentroid,
	  RGEOSPointOnSurface, RGEOSBuffer which mostly work

2010-05-26 17:59  rsbivand

	* ChangeLog, inst/ChangeLog: changelogs

2010-05-26 06:06  crundel

	* src/init.c:

2010-05-26 06:06  crundel

	* R/rgeos_topology.R, inst/tests/test-translate.R, src/rgeos.h,
	  src/rgeos_R2geos.c, src/rgeos_geos2R.c, src/rgeos_sp.c,
	  src/rgeos_topology.c: Small fixes to translation functions,
	  everything should be working
	  
	  Updated test-translate.R with polygon unit tests
	  
	  Added RGEOSConvexHull (untested)

2010-05-24 04:40  crundel

	* R/rgeos_topology.R, R/rgeos_util.R, src/rgeos_topology.c: Added
	  rgeos_envelope and RGEOSEnvelope functions

2010-05-24 04:25  crundel

	* src/init.c, src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_bbox.c,
	  src/rgeos_geos2R.c: Unified bounding box functions, geom2bbox
	  should work for all geometry types now

2010-05-23 08:03  crundel

	* NAMESPACE, R/rgeos_util.R, R/rgeos_wkt.R, inst/tests,
	  inst/tests/test-jts-xml.R, inst/tests/test-translate.R,
	  src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_coord.c,
	  src/rgeos_geos2R.c: Added proper ID handling to translation
	  functions and readWKT. Currently point ids are stored as row
	  names which is a design decision that should be revisited later
	  (current implementation works, but probably doesn't integrate
	  well with existing sp tools)
	  
	  Added fixes to test-translate.R, mostly related to IDs
	  
	  Removed SP2WKT (which never worked) and WKT2SP in favor of
	  readWKT - revisit naming convention?

2010-05-21 22:00  crundel

	* NAMESPACE:

2010-05-21 22:00  crundel

	* R/rgeos_util.R, R/rgeos_wkt.R, inst/tests/test-translate.R,
	  src/init.c, src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_geos2R.c,
	  src/rgeos_sp.c, tests/test-all.R: Added rgeos_convert_R2geos -
	  generic function to translate R sp objects to geos geometries
	  
	  Moved rgeos_Polygons_i_2Polygon to rgeos_R2geos.c
	  
	  Added rgeos_double_translate which translates R->geos->R for
	  testing purposes
	  
	  Added test-translate.R with unit tests for translations -
	  currently tests Points, Lines, and Rings
	  
	  readWKT fix - if the result is only one object return it and not
	  a list of objects

2010-05-21 00:59  crundel

	* src/rgeos_coord.c: Broke the geospoint2crdMat in the last commit,
	  fixes POINT and MULTIPOINT cases

2010-05-20 22:46  crundel

	* src/rgeos_coord.c, src/rgeos_geos2R.c: Cleaned up / clarified
	  point and line handling code

2010-05-20 21:25  crundel

	* src/rgeos_geos2R.c: Added handling of geometry collections of
	  Lines and Multilines and Linear Rings

2010-05-20 20:40  rsbivand

	* src/rgeos_sp.c: temp FIXME in Line Intersection

2010-05-19 04:37  crundel

	* src/init.c, src/rgeos.h, src/rgeos_coord.c, src/rgeos_geos2R.c,
	  src/rgeos_sp.c: Updated handling conversion of geos points to R
	  to handle geometry collections of points and multipoints

2010-05-17 21:51  crundel

	* src/rgeos_geos2R.c: Fix to rgeos_multiline2SpatialLines,
	  SpatialLines class was being built incorrectly, Lines class is
	  now added to a list before being attached

2010-05-17 02:33  crundel

	* R/rgeos_util.R, R/rgeos_wkt.R, src/init.c, src/rgeos.h,
	  src/rgeos_bbox.c, src/rgeos_geos2R.c, src/rgeos_wkt.c: Added
	  rgeos_multiline2SpatialLines function to covert LINESTRING and
	  MULTILINESTRING to SpatialLines
	  
	  Added rgeos_convert_geos2R function which is geometry type
	  agnostic and calls other conversion functions based on geometry
	  type
	  
	  Fixed rgeos_crdMat2bbox function to make updates to an existing
	  bbox, added rgeos_initbbox and rgeos_formatbbox helper functions
	  
	  Added checkP4S for basic proj4string checking and initialization,
	  should now be handled in R and an initialized CRS class passed to
	  conversion functions
	  
	  Other small code cleanups

2010-05-15 05:41  crundel

	* src/init.c, src/rgeos_R2geos.c: More merge fixes

2010-05-15 05:39  crundel

	* src/rgeos.h: Broke rgeos.h somehow while merging.

2010-05-15 05:28  crundel

	* ., NAMESPACE, R, R/AAA.R, R/rgeos_wkt.R, inst/tests,
	  inst/tests/test-jts-xml.R, inst/tests/testxml,
	  inst/tests/testxml/general,
	  inst/tests/testxml/general/TestBoundary.xml,
	  inst/tests/testxml/general/TestCentroid.xml,
	  inst/tests/testxml/general/TestConvexHull-big.xml,
	  inst/tests/testxml/general/TestConvexHull.xml,
	  inst/tests/testxml/general/TestFunctionAA.xml,
	  inst/tests/testxml/general/TestFunctionAAPrec.xml,
	  inst/tests/testxml/general/TestFunctionLA.xml,
	  inst/tests/testxml/general/TestFunctionLAPrec.xml,
	  inst/tests/testxml/general/TestFunctionLL.xml,
	  inst/tests/testxml/general/TestFunctionLLPrec.xml,
	  inst/tests/testxml/general/TestFunctionPA.xml,
	  inst/tests/testxml/general/TestFunctionPL.xml,
	  inst/tests/testxml/general/TestFunctionPLPrec.xml,
	  inst/tests/testxml/general/TestFunctionPP.xml,
	  inst/tests/testxml/general/TestInteriorPoint.xml,
	  inst/tests/testxml/general/TestRectanglePredicate.xml,
	  inst/tests/testxml/general/TestRelateAA.xml,
	  inst/tests/testxml/general/TestRelateAC.xml,
	  inst/tests/testxml/general/TestRelateLA.xml,
	  inst/tests/testxml/general/TestRelateLC.xml,
	  inst/tests/testxml/general/TestRelateLL.xml,
	  inst/tests/testxml/general/TestRelatePA.xml,
	  inst/tests/testxml/general/TestRelatePL.xml,
	  inst/tests/testxml/general/TestRelatePP.xml,
	  inst/tests/testxml/general/TestSimple.xml,
	  inst/tests/testxml/general/TestValid.xml,
	  inst/tests/testxml/general/TestValid2-big.xml,
	  inst/tests/testxml/general/TestValid2.xml,
	  inst/tests/testxml/general/TestWithinDistance.xml,
	  inst/tests/testxml/robust,
	  inst/tests/testxml/robust/ExternalRobustness.xml,
	  inst/tests/testxml/robust/TestRobustOverlayFixed.xml,
	  inst/tests/testxml/robust/TestRobustOverlayFloat.xml,
	  inst/tests/testxml/robust/TestRobustRelate.xml,
	  inst/tests/testxml/validate,
	  inst/tests/testxml/validate/TestRelateAA-big.xml,
	  inst/tests/testxml/validate/TestRelateAA.xml,
	  inst/tests/testxml/validate/TestRelateAC.xml,
	  inst/tests/testxml/validate/TestRelateLA.xml,
	  inst/tests/testxml/validate/TestRelateLC.xml,
	  inst/tests/testxml/validate/TestRelateLL.xml,
	  inst/tests/testxml/validate/TestRelatePA.xml,
	  inst/tests/testxml/validate/TestRelatePL.xml,
	  inst/tests/testxml/validate/TestRelatePP.xml,
	  inst/tests/testxml/vivid, src, src/gpc_geos.c, src/init.c,
	  src/rgeos.h, src/rgeos_R2geos.c, src/rgeos_bbox.c,
	  src/rgeos_coord.c, src/rgeos_geos2R.c, src/rgeos_length.c,
	  src/rgeos_sp.c, src/rgeos_wkt.c, tests, tests/.Rhistory,
	  tests/test-all.R: Fixed issue where CoordSeq were not being
	  destroyed
	  
	  Added some initial work on UnitTests using testthat package,
	  testxml folder contains xml test files from JTS
	  
	  General cleaning and reorganization of C code.
	  
	  Added functions to convert point and multipoint geos geometries
	  
	  Added readWKT functions that are geometry agnostic

2010-05-13 20:10  crundel

	* R/rgeos_misc.R, R/rgeos_predicate_binary.R,
	  R/rgeos_predicate_unary.R, R/rgeos_topology.R,
	  R/rgeos_topology_relation.R: Created new files with basic rgeos
	  functions organized by task, each file contains empty function
	  definitions.

2010-05-06 16:19  rsbivand

	* ChangeLog, inst/ChangeLog: use points not polygons for b-box
	  intersection envelope in poly2nb

2010-05-06 16:19  rsbivand

	* R/rgeos.R, src/init.c, src/rgeos.h, src/rgeos_R2geos.c,
	  src/rgeos_poly2nb.c: use points not polygons for b-box
	  intersection envelope in poly2nb

2010-05-05 08:42  rsbivand

	* ChangeLog, inst/ChangeLog: bounding box intersections

2010-05-05 08:41  rsbivand

	* NAMESPACE, R/rgeos.R, src/init.c, src/rgeos.h,
	  src/rgeos_poly2nb.c: bounding box intersections

2010-05-03 17:19  rsbivand

	* DESCRIPTION: increment DESCRIPTION version #

2010-05-03 16:35  rsbivand

	* DESCRIPTION, R/AAA.R, R/rgeos.R: increment DESCRIPTION version #

2010-05-03 14:04  rsbivand

	* src/rgeos.c, src/rgeos.h, src/rgeos_coord.c, src/rgeos_geos2R.c,
	  src/rgeos_validate.c, src/rgeos_wkt.c: removing inline
	  declaration in rgeos.h - see comment

2010-05-03 13:33  rsbivand

	* src/Makevars: removing pkg/src/Makevars - auto-generated from
	  Makevars.in

2010-05-03 05:24  crundel

	* NAMESPACE, R/AAA.R, R/rgeos.R, R/rgeos_util.R, R/rgeos_wkt.R,
	  src/Makevars, src/init.c, src/rgeos.c, src/rgeos.h,
	  src/rgeos_R2geos.c, src/rgeos_area.c, src/rgeos_coord.c,
	  src/rgeos_geos2R.c, src/rgeos_sp.c, src/rgeos_validate.c,
	  src/rgeos_wkt.c: Tidying existing functions, roughly grouped into
	  files by task.
	  
	  Added functions for WKT output.
	  
	  Fixed precision issue leading to small polygons not being joined.
	  Added functionality to get, set, and use a scale variable that
	  determines min precision with appropriate rounding functions from
	  GEOS.

2010-04-29 14:35  rsbivand

	* R/rgeos.R, man/LinesIntersections.Rd: fix poly2nb framework
	  (non-operational)

2010-04-28 08:44  rsbivand

	* R/AAA.R, R/rgeos.R, R/rgeos_simplify.R, R/rgeos_union.R,
	  src/gpc_geos.c, src/rgeos.c, src/rgeos.h, src/rgeos_distance.c,
	  src/rgeos_length.c, src/rgeos_sp.c: tidy

2010-04-26 08:32  rsbivand

	* R/rgeos.R: starting poly2nb

2010-02-12 12:27  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R, R/Rgpc_funcs.R, R/gpc_geos.R,
	  R/rgeos.R, R/rgeos_simplify.R, R/rgeos_union.R, data,
	  data/poly_ex.rda, man/checkHolesGPC.Rd, man/gpc.poly-class.Rd,
	  man/new-generics.Rd, man/unionSpatialPolygonsGEOS.Rd,
	  src/gpc_geos.c, src/init.c, src/rgeos.c, src/rgeos.h,
	  src/rgeos_contains.c, src/rgeos_distance.c, src/rgeos_length.c,
	  src/rgeos_sp.c: adding gpc.poly <-> GEOS interface

2010-02-08 14:55  rsbivand

	* configure.win, src/Makevars.win: Windows DLL to static

2010-02-01 18:01  rsbivand

	* R/Rgpc_funcs.R: Rgpc functions

2010-02-01 12:21  rsbivand

	* configure.win: Win binaries to 320

2010-01-31 19:22  rsbivand

	* ChangeLog, inst/ChangeLog: union buffer scale problem

2010-01-31 19:21  rsbivand

	* man/checkHolesGPC.Rd: union buffer scale problem

2010-01-31 19:19  rsbivand

	* R/gpc_geos.R, R/rgeos.R, R/rgeos_union.R,
	  man/checkPolygonsGEOS.Rd, man/unionSpatialPolygonsGEOS.Rd,
	  src/gpc_geos.c, src/init.c, src/rgeos.h, src/rgeos_sp.c: union
	  buffer scale problem

2010-01-27 10:53  rsbivand

	* R/gpc_geos.R, src/gpc_geos.c: refactoring for gpcpoly objects

2010-01-27 10:20  rsbivand

	* DESCRIPTION, NAMESPACE, R/rgeos.R, src/init.c, src/rgeos.h,
	  src/rgeos_sp.c: refactoring for gpcpoly objects

2010-01-14 07:41  rsbivand

	* ChangeLog, inst/ChangeLog: declaration for Windows binary

2010-01-14 07:41  rsbivand

	* inst/README.windows: declaration for Windows binary

2010-01-13 19:37  rsbivand

	* ChangeLog, inst/ChangeLog: rgeos_finish declaration in init.c

2010-01-13 19:37  rsbivand

	* src/init.c: rgeos_finish declaration in init.c

2010-01-10 19:01  rsbivand

	* ChangeLog, inst/ChangeLog: hole verification fix

2010-01-10 19:00  rsbivand

	* DESCRIPTION, R/rgeos.R, man/checkPolygonsGEOS.Rd: hole
	  verification fix

2010-01-07 18:50  rsbivand

	* ChangeLog, inst/ChangeLog: union dim fix

2010-01-07 18:49  rsbivand

	* ChangeLog, inst/ChangeLog: union dim fix

2010-01-07 18:49  rsbivand

	* R/rgeos_union.R: union dim fix

2010-01-07 18:14  rsbivand

	* ChangeLog, inst/ChangeLog: missing man file

2010-01-07 18:11  rsbivand

	* man/LinesIntersections.Rd: missing man file

2010-01-07 12:08  rsbivand

	* DESCRIPTION, NAMESPACE, R/rgeos.R, src/init.c, src/rgeos.h,
	  src/rgeos_sp.c: maptools integration

2010-01-04 09:35  rsbivand

	* configure.win: prepare for Windows binary

2010-01-04 07:48  rsbivand

	* configure.win: preparing for Windows build

2010-01-04 07:21  rsbivand

	* configure.win, src/Makevars.win, src/init.c, src/rgeos.h,
	  src/rgeos_sp.c: preparing for Windows build

2010-01-03 16:41  rsbivand

	* src/init.c: tightening sp dependence

2010-01-03 16:36  rsbivand

	* DESCRIPTION, src/init.c, src/rgeos.c, src/rgeos.h,
	  src/rgeos_sp.c, src/sp_rgeos.c: tightening sp dependence

2009-12-17 18:46  rsbivand

	* ChangeLog, inst/ChangeLog: C API tidy

2009-12-17 18:44  rsbivand

	* src/init.c, src/local_stubs.c: C API tidy

2009-12-17 18:42  rsbivand

	* DESCRIPTION, R/AAA.R, src/rgeos.h, src/rgeos_sp.c: C API tidy

2009-12-04 09:11  rsbivand

	* ChangeLog, inst/ChangeLog: small fixes from sp transition

2009-12-04 09:10  rsbivand

	* DESCRIPTION: small fixes from sp transition

2009-12-04 09:08  rsbivand

	* src/rgeos_sp.c: small fixes from sp transition

2009-12-03 08:50  rsbivand

	* svn2cl.xsl: first release

2009-12-03 08:47  rsbivand

	* ChangeLog, inst/ChangeLog: first release

2009-12-03 08:47  rsbivand

	* src/sp_rgeos.c: first release

2009-12-03 08:42  rsbivand

	* ChangeLog, inst, inst/ChangeLog: first release

2009-12-03 08:39  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R, R/rgeos_simplify.R,
	  R/rgeos_union.R, configure, configure.in, man,
	  man/checkPolygonsGEOS.Rd, man/thinnedSpatialPolyGEOS.Rd,
	  man/unionSpatialPolygonsGEOS.Rd, src/Makevars.in,
	  src/rgeos_length.c: first release

2009-12-02 21:03  rsbivand

	* R/rgeos.R, src/rgeos.h, src/rgeos_sp.c: status

2009-11-30 15:55  rsbivand

	* src/rgeos.h, src/rgeos_sp.c: simplify in and out

2009-11-29 20:52  rsbivand

	* src/rgeos.c, src/rgeos.h, src/rgeos_sp.c: simplify in and out

2009-11-28 20:34  rsbivand

	* src/rgeos.c, src/rgeos.h, src/rgeos_sp.c: simplify in and out

2009-11-25 20:52  rsbivand

	* src/rgeos.h, src/rgeos_sp.c: parse comment in C

2009-11-25 17:43  rsbivand

	* R/rgeos.R, src/rgeos.c, src/rgeos.h, src/rgeos_sp.c: parse
	  comment in C

2009-11-24 20:53  rsbivand

	* R/rgeos.R, src/rgeos.h, src/rgeos_sp.c: contains

2009-11-21 14:52  rsbivand

	* R/rgeos.R, src/rgeos.c, src/rgeos.h, src/rgeos_sp.c: after Oslo

2009-11-15 13:56  rsbivand

	* src/rgeos_sp.c: graphs and relations

2009-11-15 11:08  rsbivand

	* R/rgeos.R, src/rgeos.h, src/rgeos_sp.c: graphs and relations

2009-11-14 12:22  rsbivand

	* R, src, src/rgeos.c, src/rgeos.h, src/rgeos_contains.c,
	  src/rgeos_distance.c, src/rgeos_length.c, src/rgeos_sp.c: initial
	  C files

2009-05-28 12:17  stefan7th

	* .: R-Forge: updated repository structure

